aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mpc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-10 09:09:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-10 09:09:05 +0000
commit8d6e0031f6368e8323952470891b37f00470588f (patch)
treefac35effcd39bdcf6944a2f189930e7f94d1393a /testing/mpc/APKBUILD
parent868e4cbd62215412630b50ba8fa82a81d55edca0 (diff)
downloadaports-8d6e0031f6368e8323952470891b37f00470588f.tar.gz
aports-8d6e0031f6368e8323952470891b37f00470588f.tar.bz2
aports-8d6e0031f6368e8323952470891b37f00470588f.tar.xz
testing/mpc: new aport
Minimalist command line interface to MPD http://mpd.wikia.com/wiki/Client:Mpc
Diffstat (limited to 'testing/mpc/APKBUILD')
-rw-r--r--testing/mpc/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/mpc/APKBUILD b/testing/mpc/APKBUILD
new file mode 100644
index 0000000000..d695fe9849
--- /dev/null
+++ b/testing/mpc/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=mpc
+pkgver=0.17
+pkgrel=0
+pkgdesc="Minimalist command line interface to MPD"
+url="http://mpd.wikia.com/wiki/Client:Mpc"
+license="GPL2"
+subpackages="$pkgname-doc"
+depends=
+makedepends=
+source="http://downloads.sourceforge.net/project/musicpd/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/mpc-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="3f642c2c2ad7a57a9be7a03351c8c558 mpc-0.17.tar.bz2"